package services;

import model.Kunde;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.time.LocalDate;
import java.util.Locale;

public class Datenhaltung {
    private static String fileName = "customers.txt";

    public static void speichereKunde(Kunde kunde, Locale locale) throws IOException {
        PrintWriter writer = new PrintWriter(new FileWriter(fileName));
        String line = kunde.getFirstName();
        line += "#" + kunde.getName();
        line += "#" + kunde.getBirthday().toString();
        writer.println(line);
        writer.close();
    }

    public static Kunde ladeKunde(Locale locale) throws IOException {
        BufferedReader reader = new BufferedReader(new FileReader(fileName));
        String line = reader.readLine();
        String[] val = line.split("#");
        reader.close();
        return new Kunde(val[0], val[1], LocalDate.parse(val[2]));
    }
}