package model;

import model.Adresse;
import model.KontaktDaten;

public class Kunde {
    private int id;
    private String lastName;
    private String name;
    private String sex;
    private KontaktDaten kontaktDaten;
    private Adresse address;
    private Adresse shippingAddress;

    public Kunde(int id, String lastName, String name) {
        this.id = id;
        this.lastName = lastName;
        this.name = name;
    }

    public int getId() {
        return id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the lastName
     */
    public String getLastName() {
        return lastName;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

}